package dev.fyloz.trial.colorrecipesexplorer

import dev.fyloz.trial.colorrecipesexplorer.core.model.config.CREProperties
import dev.fyloz.trial.colorrecipesexplorer.core.model.config.MaterialTypeProperties
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.boot.runApplication

@SpringBootApplication
@EnableConfigurationProperties(MaterialTypeProperties::class, CREProperties::class)
open class ColorRecipesExplorerApplication

fun main(args: Array<String>) {
    runApplication<ColorRecipesExplorerApplication>(*args)
}
